MeshKit compatibility SketchUp Pro 2016/2018


#1

Hello!
I have a problem with one of the Extensions Warehouse, MeshKit. This extension is compatible with SketchUp 2016, that is not available anymore. I installed this extension on SketchUp Pro 2018 and on SketchUp Pro 2016, but (of course) it doesn’t work well: for any command it opens an incomplete window with just a part of the possible operations. Does anybody have the same problem? Do you know how can I solve this problem?
Thank you very much.
Ila


#2

run it with Ruby Console open and copy/paste the error message into a reply…

use the </> tool to wrap the the message, or we can’t read it all…

contacting the author is what’s required, but we may be able to help you explain the issue to them…

john


#3

Hi John,
thank you for your answer. The message for any command is

but for example with the command “Set Boundaries Properties” it shows just 3 choices (Number, refinement, override) instead of 5 (Number, refinement, override, NAME, COMPOUND). It does the same with any button.
On my profile:

  • on SketchUp 2018 the software says: MeshKit is an incompatible extension.
  • on SketchUp 2016 the software says: it’s compatible (but it doesn’t work anyway).

Thank you
ila


#4

Hi Jhon,
I found the error. MeshKit considered my geometry as a frgen3D instead of a gmesh. After changing this it works properly.
Ila